Subject: [bug#69587] [PATCH] doc: Add “Source Tree Structure” section.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 19 Mar 2024 15:16:15 +0100

Hello!

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:

[...]

>> This section is intended for people willing to
>> contribute to Guix or to learn about it beyond packages (perhaps that
>> intention should be more clearly stated though; perhaps that’s the crux
>> of our difference of interpretation?).
>
> This is the misunderstanding.  It would help if the audience is clear,
> so other readers can skip the section.

Great, I’ll do that.

>> If the section is deemed too long, it probably makes sense to trim it a
>> bit, but I don’t find it this long.
>>
>> Or we can use different examples, though I would keep those that are
>> already documented elsewhere in the manual (like (gnu system)).
>>
>> WDYT?
>
> Okay, people might be curious about directories and therefore look at
> these not immediately important directories.  Then the reason the
> directory nix is not talked about is that we seek to get rid of nix?

Very good point, I’ll add it (did my subconscious want me to forget the
project’s roots?).

>> ‘po’
>>      This is the location of translations of Guix itself, of package
>>      synopses and descriptions, of the manual, and of the cookbook
>>      (*note Translating Guix::).
>
> Could you mention directly that translations are pulled from Weblate?

Sure.

>>> Hmm what is the difference between, let’s say, (gnu packages) and (guix
>>> package)?
>>
>> (guix packages) defines a <package> type and associated mechanisms (the
>> “package Reference” section).
>>
>> (gnu packages) lets you browse packages defined in (gnu packages …),
>> etc.
>>
>> The former is abstract; the latter is about concrete package
>> definitions.
>
> I see, but this is unlike (gnu system), which is equally abstract.
> There is a tendency, but case-by-case it seems murky.

Yeah okay, maybe.  :-)

I’ll work on a new version.

Thanks for your patience,
Ludo’.